export interface Street {
    name: string
    city: string
}

export async function search (search_term: string): Promise<Street[]> {
    const base_url = import.meta.env.VITE_ENDPOINT as string

    const r = await fetch(`${base_url}/ivago/search?` + new URLSearchParams({
        q: search_term
    }))

    if (!r.ok) {
        return Promise.reject()
    }

    return r.json()
}
